/*---------------------------------------------------------------------------*/
/* RtpSessionWrapper.h
/* Since the RTPSession class creates a background thread that processes
/*  incomming RTP & RTCP packets, the class is derived from so that the
/*  callback methods can be overridden.
/*---------------------------------------------------------------------------*/
#ifndef _RTPAPPSESSION_H_
#define _RTPAPPSESSION_H_

#include "RTPSession.h"
#include "RTPPacket.h"

/*------------------------------------------*/
/* RTPAppSession
/*------------------------------------------*/
class RTPAppSession : public RTPSession
{
public:
	virtual void OnRTPPacket(RTPPacket *pack, const RTPTime &receivetime, const RTPAddress *senderaddress);
};

#endif